1. Fiat Account Management
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
          GET
        • Create Fiat Account Request
          POST
        • Submit Additional Information for Fiat Account Request
          POST
        • Get Fiat Account Application Status
          GET
        • Get Bank Accounts
          GET
        • Add Bank Account
          POST
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
        • Crypto Deposit Wallet Status Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Refunding a High-Risk Crypto Deposit
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout
        • Get Checkout History
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Get Checkout Refundable Info
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Validate Crypto Address
      • Upload File
      • getTnC
  1. Fiat Account Management

Fiat Account Request Status Webhook

Webhook
POST
Fiat Account Request Status Webhook
To notify fiat account application status
This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:
You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices.
Applies to: PSP and Direct Client

Request

Authorization
Header Params

Body Params application/json

Example
eventType: fiat.account.request.updated.v2
{
    "data": {
        "accountDetails": [
            {
                "accountId": "4757",
                "baNumber": "79011400000301",
                "bankAddress": "FLOOR 29, MANAMA CENTER BUILDING 1B, 2901 ISA AL-KABEER AVENUE, 365, BLOCK 316, MANAMA, 199",
                "bankName": "SINGAPORE GULF BANK B.S.C. CLOSED",
                "beneficiaryAddress": "{\"addressLine1\":\"1 St\",\"city\":\"SG\",\"country\":\"SG\",\"postcode\":\"123456\"}",
                "beneficiaryName": "Hook2 Test",
                "countryCode": "BH",
                "currency": "USD",
                "swiftCode": "SGBDBHB2XXX"
            }
        ],
        "country": "BH",
        "createdAt": 1784530125000,
        "currency": "USD",
        "participantCode": "A0104989",
        "requestId": "4693",
        "status": 3,
        "statusInfo": "ACTIVE",
        "updatedAt": 1784530129000
    },
    "eventType": "fiat.account.request.updated.v2",
    "notificationId": "fb6ff2d7-a04d-4230-962e-8f42981fab5b"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f1bc285eb64be242ee6d02e3c959dfb61482abe47ddb50da4b6be55997e' \
--header 'Content-Type: application/json' \
--data '{
    "data": {
        "accountDetails": [
            {
                "accountId": "4757",
                "baNumber": "79011400000301",
                "bankAddress": "FLOOR 29, MANAMA CENTER BUILDING 1B, 2901 ISA AL-KABEER AVENUE, 365, BLOCK 316, MANAMA, 199",
                "bankName": "SINGAPORE GULF BANK B.S.C. CLOSED",
                "beneficiaryAddress": "{\"addressLine1\":\"1 St\",\"city\":\"SG\",\"country\":\"SG\",\"postcode\":\"123456\"}",
                "beneficiaryName": "Hook2 Test",
                "countryCode": "BH",
                "currency": "USD",
                "swiftCode": "SGBDBHB2XXX"
            }
        ],
        "country": "BH",
        "createdAt": 1784530125000,
        "currency": "USD",
        "participantCode": "A0104989",
        "requestId": "4693",
        "status": 3,
        "statusInfo": "ACTIVE",
        "updatedAt": 1784530129000
    },
    "eventType": "fiat.account.request.updated.v2",
    "notificationId": "fb6ff2d7-a04d-4230-962e-8f42981fab5b"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{}
Modified at 2026-08-05 08:19:11
Previous
Add Bank Account
Next
Fiat Withdrawal
Built with